Skip to main content
POST
/
streaming
/
subtitle_tracks
/
v1
cURL
curl --request POST \
  --url https://api.mottostreaming.com/streaming/subtitle_tracks/v1 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_id": "<string>",
  "locale": "<string>",
  "name": "<string>",
  "asset_id": "<string>",
  "playlist_id": "<string>"
}
'
{
  "track": {
    "project_id": "<string>",
    "locale": "<string>",
    "name": "<string>",
    "asset_id": "<string>",
    "playlist_id": "<string>",
    "id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
project_id
string
required
locale
string
required

The locale in which the subtitle track is defined.

name
string
required

The name of the track.

asset_id
string
required

The asset ID of the input file. This has to be a .vtt file for now.

playlist_id
string
required

The playlist to which this track is associated. The duration of the playlist should equal the duration of the subtitle track.

Response

OK

CreateTrackResponse is the response message for CreateTrack.

track
object

The created track.